Bug 117841 - problem with installation of x11/xdm configuration files
Summary: problem with installation of x11/xdm configuration files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-05 15:50 UTC by J.R. Oldroyd
Modified: 2008-02-29 02:06 UTC (History)
0 users

See Also:


Attachments
file.diff (613 bytes, patch)
2007-11-05 15:50 UTC, J.R. Oldroyd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2007-11-05 15:50:01 UTC
The installation of the xdm port installs config files in
/usr/local/lib/X11/xdm.  The port Makefile makes a substitution
in the xdm-config file.  The same substutution also needs to be
made in the Xstartup and Xreset files.
This problem causes xdm logins to fail because utmp entries are
not properly created due to the sessreg command failing.

How-To-Repeat: Install port.
Look at /usr/local/lib/X11/xdm/Xstartup and /usr/local/lib/X11/xdm/Xreset.
Note they have an unexpanded XDMCONFIGDIR tag there.
Comment 1 Edwin Groothuis freebsd_committer 2007-11-05 22:55:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-01-02 14:16:59 UTC
flz         2008-01-02 14:16:54 UTC

  FreeBSD ports repository

  Modified files:
    x11/xdm              Makefile 
  Added files:
    x11/xdm/files        patch-config_Xresources.cpp 
  Log:
  - Fix if-block in Xresources. [1]
  - Fix paths in various scripts. [2]
  
  PR:             ports/117722 [1], ports/117841 [2]
  Submitted by:   Warren Block [1], J.R. Oldroyd [2]
  
  Revision  Changes    Path
  1.7       +5 -3      ports/x11/xdm/Makefile
  1.1       +21 -0     ports/x11/xdm/files/patch-config_Xresources.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-02-29 02:06:21 UTC
State Changed
From-To: open->closed

Committed by flz 2008-01-02.